%define section free
%define Name XercesJARV

Summary:        JARV driver for Xerces-2
Name:           xercesjarv
Version:        20030530
Release:        1jpp
Epoch:          0
License:        MIT-style License
URL:            http://www.kohsuke.org/jarv/xerces/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{Name}.src.zip
Patch0:         xercesjarv-build_xml.patch
Patch1:         xercesjarv-XercesConstants.patch
Patch2:         xercesjarv-XercesVerifier.patch
Patch3:         xercesjarv-XercesVerifierFactory.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  isorelax-bootstrap
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis
Requires:  isorelax-bootstrap
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This driver allows you to control the XML Schema 
validation engine of Xerces-2 through JARV, a 
vendor-neutral open-source interface for validation 
engines. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}
find . -name "*.jar" -exec rm {} \;
cp build.xml build.xml.sav
cp src/org/kohsuke/jarv/xerces/XercesConstants.java src/org/kohsuke/jarv/xerces/XercesConstants.java.sav
cp src/org/kohsuke/jarv/xerces/XercesVerifier.java src/org/kohsuke/jarv/xerces/XercesVerifier.java.sav
cp src/org/kohsuke/jarv/xerces/XercesVerifierFactory.java src/org/kohsuke/jarv/xerces/XercesVerifierFactory.java.sav

%patch0
%patch1
%patch2
%patch3

%build
export CLASSPATH=$(build-classpath \
isorelax \
xerces-j2 \
xml-commons-apis \
)
ant -Dbuild.sysclasspath=first

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -Dpm 644 %{Name}.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%doc {copying.txt,readme.txt}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030530-2jpp
- Use separated isorelax package

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.1-0.20030530.1jpp
- First JPackage release
